Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

Contains Internet Protocol (IP) addresses used when joining or leaving an IP multicast group.

Collectively, the hosts listening to a specific IP multicast address (the group address) are called a multicast group. Each member of the group receives any IP messages sent to the group address.

An instance of this class is passed into the method and returned by the method when the parameter is set to or .

- Constructor
  An instance of containing the IP address of a multicast group.

  Constructs and initializes a new instance of the class with the specified IP multicast group address.

  This constructor initializes the property of the new instance using . The property is initialized to . allows the protocol to decide which local IP address to use.

  is .

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.
  To be added.
  To be added.
  To be added.
- Constructor
  To be added.
  To be added.

  Constructs and initializes a new instance of the class with the specified IP multicast group and local addresses.

  The property is set to and the property is set to .

  or is .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Net.IPAddress

  Gets or sets the IP address of a multicast group.

  An instance of containing the IP address of a multicast group.

  Collectively, the hosts listening to a specific IP multicast address are called a multicast group. Each member of the group receives any IP messages sent to this address.

  Valid IP addresses for multicast groups are in the range 224.0.0.0 to 239.255.255.255 with some addresses reserved for special purposes.

  0
  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Int32 To be added. To be added. To be added.
- Property
  System.Net.IPAddress

  Gets or sets the local IP address to receive data.

  An instance of containing the local IP address.

  This property specifies the local IP address used to receive data sent to the multicast group.

  0
  1.0.5000.0
  2.0.0.0
0